<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>gRPC Calculator</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <h1>gRPC Calculator</h1>
    <form id="calculator-form">
        <div class="item">
            <label for="num1">Number 1:</label>
            <input type="number" id="num1" name="num1" required>
        </div>
        <br>
        <div class="item">
            <label for="num2">Number 2:</label>
            <input type="number" id="num2" name="num2" required>
        </div>
        <br>
        <div class="item">
            <label for="operation">Operation:</label>
            <select id="operation" name="operation">
                <option value="Add">Add</option>
                <option value="Subtract">Subtract</option>
                <option value="Multiply">Multiply</option>
                <option value="Divide">Divide</option>
            </select>
        </div>
        <br>
        <button type="submit">Calculate</button>
    </form>
    <h2>Result: <span id="result"></span></h2>
    
    <script>
        document.getElementById('calculator-form').addEventListener('submit', async (event) => {
            event.preventDefault();
            const num1 = parseFloat(document.getElementById('num1').value);
            const num2 = parseFloat(document.getElementById('num2').value);
            const operation = document.getElementById('operation').value;
            
            const response = await fetch('/calculate', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify({ num1, num2, operation }),
            });
            const result = await response.json();
            document.getElementById('result').textContent = result.result;
        });
    </script>
</body>
</html>
